--- old/usr/src/uts/common/io/ppm/ppm_subr.c	sam. juil. 16 15:17:01 2016
+++ new/usr/src/uts/common/io/ppm/ppm_subr.c	sam. juil. 16 15:17:01 2016
@@ -205,14 +205,14 @@
 #define	PPM_CTRL_PROP_SUFFIX		"-control"
 
 struct ppm_domit ppm_domit_data[] = {
-	"SX",  PPMD_SX, 0, PPMD_ON,
-	"CPU", PPMD_CPU, PPMD_LOCK_ALL, PPMD_ON,
-	"FET", PPMD_FET, PPMD_LOCK_ONE, PPMD_ON,
-	"PCI", PPMD_PCI, PPMD_LOCK_ONE, PPMD_ON,
-	"PCI_PROP", PPMD_PCI_PROP, PPMD_LOCK_ONE, PPMD_ON,
-	"LED", PPMD_LED, 0, PPMD_ON,
-	"PCIE", PPMD_PCIE, PPMD_LOCK_ONE, PPMD_ON,
-	NULL
+	{ "SX",  PPMD_SX, 0, PPMD_ON },
+	{ "CPU", PPMD_CPU, PPMD_LOCK_ALL, PPMD_ON },
+	{ "FET", PPMD_FET, PPMD_LOCK_ONE, PPMD_ON },
+	{ "PCI", PPMD_PCI, PPMD_LOCK_ONE, PPMD_ON },
+	{ "PCI_PROP", PPMD_PCI_PROP, PPMD_LOCK_ONE, PPMD_ON },
+	{ "LED", PPMD_LED, 0, PPMD_ON },
+	{ "PCIE", PPMD_PCIE, PPMD_LOCK_ONE, PPMD_ON },
+	{ NULL }
 };
 
 /*
@@ -1025,32 +1025,32 @@
 	char	*sym;
 	int	val;
 } ppm_confdefs_table[] = {
-	"ENTER_S3", PPMDC_ENTER_S3,
-	"EXIT_S3", PPMDC_EXIT_S3,
-	"CPU_NEXT", PPMDC_CPU_NEXT,
-	"PRE_CHNG", PPMDC_PRE_CHNG,
-	"CPU_GO", PPMDC_CPU_GO,
-	"POST_CHNG", PPMDC_POST_CHNG,
-	"FET_ON", PPMDC_FET_ON,
-	"FET_OFF", PPMDC_FET_OFF,
-	"CLK_OFF", PPMDC_CLK_OFF,
-	"CLK_ON", PPMDC_CLK_ON,
-	"LED_ON", PPMDC_LED_ON,
-	"LED_OFF", PPMDC_LED_OFF,
-	"KIO", PPMDC_KIO,
-	"VCORE", PPMDC_VCORE,
+	{ "ENTER_S3", PPMDC_ENTER_S3 },
+	{ "EXIT_S3", PPMDC_EXIT_S3 },
+	{ "CPU_NEXT", PPMDC_CPU_NEXT },
+	{ "PRE_CHNG", PPMDC_PRE_CHNG },
+	{ "CPU_GO", PPMDC_CPU_GO },
+	{ "POST_CHNG", PPMDC_POST_CHNG },
+	{ "FET_ON", PPMDC_FET_ON },
+	{ "FET_OFF", PPMDC_FET_OFF },
+	{ "CLK_OFF", PPMDC_CLK_OFF },
+	{ "CLK_ON", PPMDC_CLK_ON },
+	{ "LED_ON", PPMDC_LED_ON },
+	{ "LED_OFF", PPMDC_LED_OFF },
+	{ "KIO", PPMDC_KIO },
+	{ "VCORE", PPMDC_VCORE },
 #ifdef sun4u
-	"I2CKIO", PPMDC_I2CKIO,
+	{ "I2CKIO", PPMDC_I2CKIO },
 #endif
-	"CPUSPEEDKIO", PPMDC_CPUSPEEDKIO,
-	"PRE_PWR_OFF", PPMDC_PRE_PWR_OFF,
-	"PRE_PWR_ON", PPMDC_PRE_PWR_ON,
-	"POST_PWR_ON", PPMDC_POST_PWR_ON,
-	"PWR_OFF", PPMDC_PWR_OFF,
-	"PWR_ON", PPMDC_PWR_ON,
-	"RESET_OFF", PPMDC_RESET_OFF,
-	"RESET_ON", PPMDC_RESET_ON,
-	NULL
+	{ "CPUSPEEDKIO", PPMDC_CPUSPEEDKIO },
+	{ "PRE_PWR_OFF", PPMDC_PRE_PWR_OFF },
+	{ "PRE_PWR_ON", PPMDC_PRE_PWR_ON },
+	{ "POST_PWR_ON", PPMDC_POST_PWR_ON },
+	{ "PWR_OFF", PPMDC_PWR_OFF },
+	{ "PWR_ON", PPMDC_PWR_ON },
+	{ "RESET_OFF", PPMDC_RESET_OFF },
+	{ "RESET_ON", PPMDC_RESET_ON },
+	{ NULL }
 };
 
 
